> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by engagement



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/engagements/card/{engagement-id}/customer
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/customer:
    get:
      tags:
        - Card
      summary: Get customer by engagement
      operationId: GetEngagementCardCustomer
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpEngagementCustomer'
        '400':
          description: 'Invalid value for: path parameter engagement-id'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpEngagementCustomer:
      title: HttpEngagementCustomer
      type: object
      required:
        - customerId
        - address
      properties:
        customerId:
          type: string
          format: uuid
        address:
          $ref: '#/components/schemas/HttpAddress'
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpAddress:
      title: HttpAddress
      type: object
      required:
        - streetLine1
        - city
        - postalCode
        - country
      properties:
        streetLine1:
          type: string
        streetLine2:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          description: ISO 3166-1 alpha-2 country code
          type: string
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````